<?php
if($this->session->userdata('is_logged_in')===FALSE){
            redirect('login');
}

$url = base_url("resources/template/akta/perdata_tun/".$filename.".rtf");
$Template = file_get_contents($url);

//----------------------------Data PN----------------------------------//
$dataperkara = $dataumum;
    foreach ($dataperkara->result() as $row) {
            $nomorperkara = $row->nomor_perkara;    
            $tanggalPermohonanPK = $this->templatehelper->convertKeTglIndo($row->permohonan_pk);
            $hariPermohonanPK = $this->templatehelper->getHari($row->permohonan_pk);
            $amar_pk = $this->templatehelper->cleanHtmlTag($row->amar_putusan_pk);
            $jabatan_hakim = $row->jabatan_hakim_nama;
            $nama_hakim = $this->templatehelper->standradnaming($row->hakim_nama);
            $nama_panitera = $this->templatehelper->standradnaming($row->panitera_nama);                       
}

$datapengadilan = $datapn;
if(!empty($datapengadilan)){
    if($datapengadilan->num_rows>0){
        foreach ($datapengadilan->result() as $row) {
            $namapn = $this->templatehelper->standradnaming($row->NamaPN);   
            $alamatpn = $row->AlamatPN;
        }
    }
    
}
//----------------------------------------------//

$pihak1 = '';
$counter1=0;
if (!empty($dataPemohonPK->num_rows)){ 
	foreach($dataPemohonPK->result() as $row){$counter1++;
		if ($dataPemohonPK->num_rows>1) {
            $jumlahPihak1 = '\b PemohonPK '.$counter1.'\b0\\par ';
        }else{
            $jumlahPihak1 = '\b PemohonPK \b0\\par ';
        }

        $pihak1 .= $jumlahPihak1;
        $pihak1 .= 'a. Nama \tab : '.$this->templatehelper->standradnaming($row->namaPihak).'\\par ';
        $pihak1 .= 'b. Kewarganegaraan \tab : Indonesia\\par ';
        $pihak1 .= 'c. Pekerjaan \tab : '.$this->templatehelper->standradnaming($row->pekerjaanPihak).'\\par ';
        $pihak1 .= 'd. Tempat Tinggal \tab : '.$row->alamatPihak.'\\par ';
    }
}

$pihak2 = '';
$counter2=0;
if (!empty($dataTermohonPK->num_rows)){ 
	foreach($dataTermohonPK->result() as $row){$counter2++;
		if ($dataTermohonPK->num_rows>1) {
            $jumlahPihak2 = '\b TermohonPK '.$counter2.'\b0\\par ';
        }else{
            $jumlahPihak2 = '\b TermohonPK \b0\\par ';
        }

        $pihak2 .= $jumlahPihak2;
        $pihak2 .= 'a. Nama \tab : '.$this->templatehelper->standradnaming($row->namaPihak).'\\par ';
        $pihak2 .= 'b. Kewarganegaraan \tab : Indonesia\\par ';
        $pihak2 .= 'c. Pekerjaan \tab : '.$this->templatehelper->standradnaming($row->pekerjaanPihak).'\\par ';
        $pihak2 .= 'd. Tempat Tinggal \tab : '.$row->alamatPihak.'\\par ';
    }
}

$Template = str_replace("#nomorPerkara#",''.$nomorPerkaraPN.'',$Template);
$Template = str_replace("#tanggalPermohonan#",''.$tanggalPermohonanPK.'',$Template);
$Template = str_replace("#hariPermohonanPK#",''.$hariPermohonanPK.'',$Template);
$Template = str_replace("#tanggalSuratKuasa#",''.$tanggalSuratKuasa.'',$Template);
$Template = str_replace("#namaPTUN#",''.$namaPengadilan.'',$Template);
$Template = str_replace("#namaPemohonPK#",''.$namaPemohonPK.'',$Template);
$Template = str_replace("#negaraPemohonPK#",''.$negaraPemohonPK.'',$Template);
$Template = str_replace("#alamatPemohonPK#",''.$alamatPemohonPK.'',$Template);
$Template = str_replace("#pekerjaanPemohonPK#",''.$pekerjaanPemohonPK.'',$Template);
$Template = str_replace("#tanggalPutusanPN#",''.$tanggalPutusanPN.'',$Template);
$Template = str_replace("#amarPutusanPN#",''.$amarPutusanPN.'',$Template);
$Template = str_replace("#Pihak1#",''.$pihak1.'',$Template);
$Template = str_replace("#Pihak2#",''.$pihak2.'',$Template);
$Template = str_replace("#namaPanses#",''.$namaPanses.'',$Template);
$Template = str_replace("#namaKota#",''.$namaKota.'',$Template);
$Template = str_replace("#pihakAsalText#",''.$pihakAsal.'',$Template);
$Template = str_replace("#hari_pemberitahuanPK#",''.$hari_pemberitahuanPK.'',$Template);
$Template = str_replace("#tanggal_pemberitahuanPK#",''.$tanggal_pemberitahuanPK.'',$Template);
$Template = str_replace("#hari_penyerahanMemoriPK#",''.$hari_penyerahanMemoriPK.'',$Template);
$Template = str_replace("#tanggal_penyerahanMemoriPK#",''.$tanggal_penyerahanMemoriPK.'',$Template);
$Template = str_replace("#tanggal_penerimaanMemoriPK#",''.$tanggal_penerimaanMemoriPK.'',$Template);
$Template = str_replace("#hari_pencabutanPK#",''.$hari_pencabutanPK.'',$Template);
$Template = str_replace("#tanggal_pencabutanPK#",''.$tanggal_pencabutanPK.'',$Template);

//---------------------------------Data Versus Tergugat---------------------------------//
$datapenggugat = $datapihakpenggugat;
$numbering = true;
if($datapenggugat->num_rows>1){
    $jmlPenggugat=$datapenggugat->num_rows;
    for ($i=0; $i < $jmlPenggugat; $i++) { 
        $text = 'pihak'.($i+1);
        if($i==$jmlPenggugat-1){
    $Template = str_replace("#loopingparties#",'\b#'.$text.'#\b0,#'.$text.'info#',$Template);
        }else{
    $Template = str_replace("#loopingparties#",'\b#'.$text.'#\b0,#'.$text.'info#\\par'.PHP_EOL.'#loopingparties#',$Template);
        }
    }   
}else{
    $numbering = false;
    $Template = str_replace("#loopingparties#",'#pihak1#,#pihak1info#',$Template);
}

$counter = 1;
$urutan = '';
foreach ($datapenggugat->result() as $row){
    $pihak1 = '\listid1'.$this->templatehelper->standradnaming($row->nama);    
    if($numbering){
       $urutan = ' '.$this->templatehelper->converToAngkaRomawi($row->urutan);
    }
    if ($row->info==1){
        $pihak1info = " kewarganegaraan ".$row->warga_negara." pekerjaan ".$this->templatehelper->standradnaming($row->pekerjaan)." bertempat tinggal di ".$this->templatehelper->standradnaming($row->alamat)." selanjutnya disebut sebagai PENGGUGAT ".$urutan.";";
    }else{
        $pihak1info = " kewarganegaraan ".$row->warga_negara." pekerjaan ".$this->templatehelper->standradnaming($row->pekerjaan)." berkedudukan di ".$this->templatehelper->standradnaming($row->alamat)."  selanjutnya disebut sebagai PENGGUGAT ".$urutan.";";
    }    
    $pihak1info = str_replace('  ',' ',$pihak1info);
    if($numbering==true){
        $Template = str_replace('#pihak'.$counter.'#','\b '.$counter.'. '.'\tab '.$pihak1.'\b0',$Template);
    }else{
        $Template = str_replace('#pihak'.$counter.'#','\b'.$pihak1.'\b0',$Template);
    }
    
    $Template = str_replace('#pihak'.$counter.'info#',''.$pihak1info.'',$Template);
    $counter++; 
}
//---------------------------------Data Versus Tergugat------------------------------------//
$datatergugat = $datapihaktergugat;
$numbering = true;
if($datatergugat->num_rows>1){  
    $jmlTergugat=$datatergugat->num_rows;
    for ($i=0; $i < $jmlTergugat; $i++) { 
        $text = 'tergugat'.($i+1);
        if($i==$jmlTergugat-1){
            $Template = str_replace('#loopingparties2#','\b#'.$text.'#\b0,#'.$text.'info#',$Template);
        }else{
            $Template = str_replace('#loopingparties2#','\b#'.$text.'#\b0,#'.$text.'info#\\par'.PHP_EOL.'#loopingparties2#',$Template);
        }       
    }   
}else{
    $numbering = false;
    $Template = str_replace('#loopingparties2#','#tergugat1#,#tergugat1info#',$Template);
}
$counter = 1;
$urutan ='';
foreach ($datatergugat->result() as $row){
    $pihak2 = '\listid1'.$this->templatehelper->standradnaming($row->nama);
    if($numbering){
        $urutan = ' '.$this->templatehelper->converToAngkaRomawi($row->urutan);
    }
    if ($row->info==1){
        $pihak2info = " kewarganegaraan ".$row->warga_negara." pekerjaan ".$this->templatehelper->standradnaming($row->pekerjaan)." bertempat tinggal di ".$this->templatehelper->standradnaming($row->alamat)." selanjutnya disebut sebagai TERGUGAT ".$urutan.";";
    }else{
        $pihak2info = " kewarganegaraan ".$row->warga_negara." pekerjaan ".$this->templatehelper->standradnaming($row->pekerjaan)." berkedudukan di ".$this->templatehelper->standradnaming($row->alamat)."  selanjutnya disebut sebagai TERGUGAT ".$urutan.";";
    }    
    $pihak2info = str_replace('  ',' ',$pihak2info);
    if($numbering==true){
        $Template = str_replace('#tergugat'.$counter.'#','\b '.$counter.'. '.'\tab '.$pihak2.'\b0',$Template);
        $Template = str_replace('#:#',':',$Template);
    }else{
        $Template = str_replace('#tergugat'.$counter.'#','\b'.$pihak2.'\b0',$Template);
        $Template = str_replace('#:#','',$Template);
    }
    $Template = str_replace('#tergugat'.$counter.'info#',''.$pihak2info.'',$Template);
    $counter++;
}

header("Content-type: application/rtf");
header("Content-disposition: inline; filename=".$namafile."-".$nomorperkara.".rtf");
header("Content-length: ".strlen($Template));
echo $Template;
?>